2003-02-21  Herbert Valerio Riedel  <hvr@gnu.org>
 
        * switched to cvs2cl.pl generated ChangeLog file

2003-02-19  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files_private.h: use 'unsigned' as bitfild type

	* libvcd/vcd_types.h (PRAGMA_BEGIN/END_PACKED): added pragmas for
	mipspro compiler; cleaned up a bit

	* libvcd/vcd_files_private.h: fixed 3 occurences of variable length
	arrays in otherwise empty structures

	* libvcd/vcd_types.h (__vcd_offsetof): add own non-const offsetof() 
	macro, since C99 requires offsetof() to be a constant expression;
	define GNUC_(UN)LIKELY() properly for non-gcc's

2003-02-16  Herbert Valerio Riedel  <hvr@gnu.org>

	* released version 0.7.13
	
2003-01-30  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_write_sequence): s/30fps/29.97fps/

2003-01-28  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_cd-bsdi.c: fixes from Steven M. Schultz

2003-01-19  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_cd.h: replaced #if-based selection of cdrom
	driver selection by configure/link-based scheme

	* libvcd/vcd_image_cd-generic.c, libvcd/vcd_image_cd-linux.c,
	libvcd/vcd_image_cd-bsdi.c, libvcd/vcd_image_cd-sunos.c: added

	* libvcd/vcd_image_linuxcd.[ch], libvcd/vcd_image_bsdicd.[ch]:
	removed

	* libvcd/vcd_mmc_private.h: fixed packed attributes (note2myself;
	disc_info got smaller by 2 bytes...)

	* libvcd/vcd_mpeg.c: fixed changing signedness for pointer args

	* libvcd/vcd_mmc_private.h: added SIZEOF defines for regression checks

	* libvcd/vcd_mmc_linux.c, libvcd/vcd_image_vpkt.c,
	libvcd/vcd_image_linuxcd.c, libvcd/vcd_image_bincue.c: use C99
	designated initializer syntax
	
	* frontends/cli/vcddump.c: added Bernstein's vcddump tool

	* libvcd/vcd_assert.h, libvcd/vcd_types.h: added branch prediction
	annotation macros

2003-01-08  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_nrg.c, libvcd/vcd_image_cdrdao.c: use C99
	designated initializer syntax

	* libvcd/vcd_image.[ch]: merged enhanced VcdImageSource interface (by
	Rocky Bernstein)

	* libvcd/vcdinfo.[ch]: added libvcdinfo from Rocky Bernstein

2003-01-06  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_util.h: added _vcd_lsn_to_lba() helper function

	* libvcd/vcd_cd_sector.h: renamed xxxx_SIZE #defines to
	xxxx_SECTOR_SIZE (based on Rocky Bernstein's xine-vcdnav fork) and
	propagated change through files using it

2002-12-28  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/cdxa2mpeg.c: make commandline behave like other tools
	(make use of libpopt)

2002-12-27  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_build.c: added hidden --file-prefix option to
	vcdxbuild to aid testsuite; added --dump-dtd feature

2002-12-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_cd_sector.c: replaced 2 endian conversion macros by
	corresponding inline functions

	* frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c: added
	poptSetOtherOptionHelp for non-option argument(s)

        * made ISO_PREPARER_ID customizable in libvcd

	* libvcd/vcd_iso9660_private.h, libvcd/vcd_xa.h, 
	libvcd/vcd_files_private.h: improved __attribute__((packed)) usage

	* tests/check_sizeof.c: sizeof integrity check for structs

2002-12-24  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: cleaned up, improved libpopt and bitfield check

2002-01-04  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: released version 0.7.12
	
	* libvcd/vcd_mpeg.c (_parse_user_data): 
		display through vcd_debug() when encountering strange 
		user_data content

	* libvcd/vcd_image_linuxcd.c: make sure recent kernel headers 
		are available when compiling

	* frontends/cli/vcd_debug.c: minor improvements

	* libvcd/vcd_util.c (_vcd_strncpy_pad): char signedness 	
		assumption made explicit

2002-01-03  Herbert Valerio Riedel  <hvr@gnu.org>
	
	* libvcd/vcd.c (_write_segment): minor change to SPI subheader
		coding
	
	* libvcd/vcd.c (vcd_obj_new): set leadout_pregap by default to
		150, in order to create a post-gap

2001-12-26  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_stream_stdio.c: cache stat()'s st_size result
		(suggested by Sven Ottemann)

2001-12-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* cleaned up automake framework for automake 1.5

2001-12-21  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/cdxa2mpeg.c: added new tool cdxa2mpeg

2001-11-28  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_stream_stdio.c: add use of setvbuf to increase io buffers

2001-11-27  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (_analyze_private_1_stream): added support for
		real SVCD OGT subtitles in addition to already supported
		CVD style subs.

2001-10-21  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: released version 0.7.11
	
	* frontends/xml/vcd_xml_rip.c (main): added three new options for
		disabling extraction of data

2001-10-19  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_bsdicd.c: merged fixes from Steven M. Schultz

2001-10-16  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c: added a few constraint checks for sequence items

2001-10-10  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_write_sequence): place EOF bit at end of track...

2001-09-28  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_build.c: added support for the
		new 'leadout pregap' option

	* libvcd/vcd.c (vcd_obj_begin_output): 
	(vcd_obj_write_image): 
	(vcd_obj_set_param_bool): 
	(vcd_obj_set_param_uint): make use of new leadout_pregap parameter, 
		declared VCD_PARM_LEADOUT_PAUSE obsolete...

	* frontends/xml/vcd_xml_rip.c: renamed offset_t to psd_offset_t
		to avoid conflicts with system headers

2001-09-20  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/: starting to merge in arnd's modifications

2001-09-10  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (vcd_mpeg_packet_get_type): PKT_TYPE_OGT was
		returned instead of PKT_TYPE_EMPTY

2001-09-08  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_rip.c: implemented progress display for 
		sequences

2001-09-07  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_rip.c (_visit_pbc): be more tolerant when 
		psd offset out of range...

2001-09-02  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_dtd.c (_xmlExternalEntityLoader): 
		adapting to libxml2 change

2001-08-31  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_bsdicd.c: integrated fixes by
		Steven M. Schultz <sms@TO.GD-ES.COM>

2001-08-30  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_bsdicd.c: new driver for BSD/OS CDROM devices

	* frontends/xml/vcd_xml_rip.c (_rip_sequences): read up to 15
		sectors at once...

	* libvcd/vcd_image_linuxcd.c (_read_mode2_sectors): make use of
	 	linux' generic packet command interface

	* libvcd/vcd_image.c: added primitive for multiple sector reads..

2001-08-29  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: released version 0.7.10
	
	* frontends/cli/vcdimager.c: removed progress indication

	* libvcd/vcd.c: fixed small vsize/hsize typo

	* libvcd/vcd.c (vcd_obj_set_param_str): new parameter for setting 
		publisher ID added
		(vcd_version_string): changed version string to conform to 
		GNU format

2001-08-28  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_bitvec.h: optimized code

	* frontends/xml/vcd_xml_build.c: added new options --image-type and 
	 	--image-option

2001-08-27  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_common.c (vcd_xml_print_version): added 
		XML friendly version output string

	* libvcd/vcd_image.h: implemented set_arg mechanism and adapted frontends

2001-08-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_write_sequence): 
		spit out more information about mpeg stream

2001-08-24  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_master.c (vcd_xml_master): 
		more generic option intepretation implemented

	* libvcd/vcd.c (vcd_obj_set_param_uint): 3 new option added;
	  	VCD_PARM_TRACK_PREGAP,
		VCD_PARM_TRACK_FRONT_MARGIN,
		VCD_PARM_TRACK_REAR_MARGIN

2001-08-23  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files.c: set ogt fields

	* libvcd/vcd_mpeg.c (_analyze_ogt_stream): new function for 
		extraction of ogt channel index

	* libvcd/vcd.h: new parameter VCD_PARM_SVCD_VCD3_TRACKSVD added

	* frontends/cli/vcd_debug.c: improved differenciation between
		VCD2.0 and SVCD

2001-08-22  Herbert Valerio Riedel  <hvr@gnu.org>

	* reorganized vcd_mpeg/vcd_mpeg_stream and updated related source
		locations

	* libvcd/vcd_mpeg.c (_analyze_video_pes): detect aligned APS

2001-08-21  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (_analyze_audio_pes): implemented mpeg audio header interpretation

2001-08-20  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_get_closest_aps): moved from vcd_files.c
	(_update_entry_points): new function
	(vcd_obj_write_image): set VCD_CUE_SUBINDEX in cue sheet

	* libvcd/vcd_files.c (set_entries_vcd): move entry point resolving to vcd.c

	* libvcd/vcd_image_cdrdao.c (_set_cuesheet),
	  libvcd/vcd_image_bincue.c (_set_cuesheet): added support for VCD_CUE_SUBINDEX 
		and VCD_CUE_PREGAP_START

	* libvcd/vcd_image.h: added VCD_CUE_SUBINDEX cue item

	* libvcd/vcd_stream.c (vcd_data_sink_printf): new convenience function

	* libvcd/vcd_logging.c: replaced logging shortcuts by macro templates

2001-08-19  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c: major cleanups

2001-08-16  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (_parse_user_data): just warn and break out if invalid scan data len

	* frontends/xml/vcd_xml_minfo.c (main): scan progress and gui mode added

	* frontends/xml/vcd_xml_master.c (vcd_xml_master): scan progress added

	* frontends/xml/vcd_xml_common.c: clear line after last progress statement

2001-08-15  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_rip.c: new option for ignoring extended pbc 
		files
	
	* frontends/cli/vcd_debug.c: handle broken psd offsets less 
		assert'ing ;)

2001-08-12  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_rip.c: integrated common xml logging functions

	* libvcd/vcd_pbc.c (_vcd_pbc_node_write): fixed wrong warning

2001-08-08  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_vcd_obj_get_sequence_by_entry_id): 
		new lookup function

	* libvcd/vcd_pbc.c: allow play item for multi default selection to 
		be an entry point as well

2001-08-07  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_build.c (main): added --gui and --progress
		options, moved logging routine to vcd_xml_common.c

	* libvcd/vcd_files.c (set_info_vcd): set extended pbc flag for vcd20

	* frontends/xml/vcd_xml_common.c: new module for common routines 
		for the XML frontends

2001-08-06  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_logging.c (default_vcd_log_handler): flush fd after 
		each log output

2001-08-01  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: released version 0.7.9
	
	* libvcd/vcd_mpeg.c (vcd_mpeg_parse_packet): 
		be more verbose on missing pack headers

	* libvcd/vcd_mpeg_stream.c (vcd_mpeg_source_scan): 
		abort if the first mpeg packet is already broken

	* libvcd/vcd_pbc.c: added some more sanity checks,
	(_vcd_pbc_node_write): fixed play nothing item in selection lists

	* libvcd/vcd_bytesex.h, libvcd/vcd_bytesex_asm.h, 
		libvcd/vcd_types.h: improvements for AMIGA
	
	* libvcd/vcd_pbc.c (_vcd_pbc_check_unreferenced): 
		new function for checking unreferenced items

2001-07-31  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcd_debug.c (dump_scandata_dat): 
		new function for dumping scandata.dat

	* libvcd/vcd_files.c (set_scandata_dat): fixed offsets in 
		scandata.dat missing an offset ;-)

	* implemented auto-pause handling for segments in XML frontends

	* libvcd/vcd.c (_vcd_obj_get_sequence_by_id): exported function
	(_vcd_obj_get_segment_by_id): new function
	(vcd_obj_add_segment_pause): new function
	(_write_segment): implemented auto pause setting

2001-07-30  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c: added new option "leadout pause" for adding 
		a 150 sector length track pause after the last track
	
	* frontends/xml/vcd_xml_gen.c: don't create PBC section for 
		vcd types lacking that feature...

	* libvcd/vcd_files.c (vcd_files_info_detect_type): 
		moved function shared by vcd_debug.c and vcd_xml_rip.c
		into libvcd

	* implemented support for VCD 1.0 and HQVCD formats in libvcd,
		added new options to frontends
	
	* libvcd/vcd.c (_vcd_obj_has_cap_p): new function for unifying 
		capatibilities for different VCD types.

	* frontends/cli/vcdimager.c: fixed unitialised add_files list

2001-07-28  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: bumped version up to 0.7.8
	
	* frontends/cli/vcdimager.c:
		(re)implemented --add-dir option

	* frontends/xml/vcd_xml_parse.c (_parse_pbc_selection): set default 
		for BSN to 1

	* frontends/xml/videocd.dtd: a few minor adaptions to reflect recent 	
		changes

	* added and implemented 'default-entry' entry point

	* libvcd/vcd_mpeg_stream.c (vcd_mpeg_source_scan): 
		added framework for progress reporting

2001-07-27  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (vcd_version_string): new function for unifying version 
		output

	* frontends/xml/vcd_xml_dump.c (_make_xml): fixed stupid cut'n'paste
		typo

	* pre3

	* reflected changes from vcd_pbc.c to frontends
	
	* libvcd/vcd_pbc.c: multi default list support rewritten from 
		scratch, added some checks, added support for disabled
		items in select_id_list	and play_item_list, added extended
		end list features.

2001-07-26  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_minfo.c:
		new tool for dumping mpeg infos

2001-07-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_master.c (vcd_xml_master): 
		fixed typo regarding VCD_PARM_SVCD_VCD3_ENTRYSVD

	* frontends/xml/vcd_xml_dump.c (_get_node_pathname): 
		minor improvements (uppercase, empty node names)

	* frontends/xml/vcd_xml_gen.c:
		renamed --add-dir to --add-dirtree, and implemented an
		--add-dir operation.

	* frontends/cli/vcdimager.c: removed --add-dir command

	* libvcd/vcd.c (_finalize_vcd_iso_track_allocation): 
		swapped order of TRACK.SVD and SEARCH.DAT to match 0.6.2

2001-07-19  Herbert Valerio Riedel  <hvr@gnu.org>

	* reverting autoplay experiment

	* frontends/cli/vcd_debug.c (dump_info): dump a bit more infos
	
	* libvcd/vcd_files_private.h: adding some SVCD extensions 
		(OGT, vol start times, extended end list)

	* libvcd/vcd_iso9660.c (_pvd_set_time): set 1/100 sec field to BCD 0's

2001-07-01  Herbert Valerio Riedel  <hvr@gnu.org>

	* implemented nero v5 output format

2001-06-30  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: bumped version up to 0.7.7

	* frontends/xml/videocd.dtd: added <autoplay> tag

	* frontends/cli/vcd_debug.c (dump_info): added autoplay and reserved1
		flag dumps of INFO file

	* implemented autoplay flag

	* merged in some stuff from
	   Steffen Haeuser <SteffenH@hyperion-software.de> for AmigaOS port

2001-06-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcd_debug.c: let match segment no. counting

	* libvcd/vcd.c (_finalize_vcd_iso_track_filesystem): 
		changed enumeration of item____.mpg entries to match SPI no

2001-06-24  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_cdrdao.c: quick'n'dirty split image writer

2001-06-23  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_rip.c: start counting on 1 instead of 0 
		for filename enumeration

2001-06-22  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_fs.c (_idr2statbuf): don't assert, just warn and
		ignore attributes when missing a XA signature

2001-06-16  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: bumped version up to 0.7.6
	
	* libvcd/vcd.c: improved on svcd_vcd3_mpegav compat mode

2001-06-15  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg_stream.c (vcd_mpeg_source_scan): added more verbose
		autopadding warning

	* libvcd/vcd_image_fs.c (_fs_stat_traverse): replaced dynamic stack array 
		by heap allocated array to work around cygwin bug

2001-06-14  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files.c, libvcd/vcd.c:
		fixed/added boundary checks for segment & entry point counts


2001-06-12  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: bumped version up to 0.7.5
	
	* tests/mpegscan2.c: new testing tool for dumping scan offset data

	* libvcd/vcd.c (vcd_obj_add_dir): implemented
	(_finalize_vcd_iso_track_filesystem): don't create '/CDI' by 
		default anymore

	* libvcd/vcd_iso9660.c (_vcd_iso_dirname_valid_p): new function
	(_vcd_iso_pathname_valid_p): rewritten from scratch

	* libvcd/vcd_pbc.c: made broken references generate errors instead
		of warnings.

2001-06-11  Herbert Valerio Riedel  <hvr@gnu.org>

	* make logging output a bit more readable

	* libvcd/vcd.h: make scan info fixup optional, with VCD_PARM_UPDATE_SCAN_OFSSETS

2001-06-09  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg_stream.c: experimental scan information data fixup

2001-06-08  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files.c (set_entries_vcd): warn if entry points 
		displaced more than 1 sec, otherwise just debug

	* libvcd/vcd_mpeg.c (vcd_mpeg_parse_packet): decrement packet count
		for truncated or overlengthy packet.

2001-06-07  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: bumped version up to 0.7.4
	
	* libvcd/vcd_mpeg.c (_check_scan_data): added scan info data syntax checking

	* frontends/cli/vcdimager.c: see below

	* frontends/xml/vcd_xml_master.c (vcd_xml_master): output sectors written 
		in msf notation

	* frontends/xml/vcd_xml_dump.c (_make_xml): implemented dumping of 
		area

	* frontends/xml/vcd_xml_rip.c: make use of vcd_image_fs api
	(_pbc_node_read): implemented parsing of selection areas

	* libvcd/vcd_bytesex.h (from_723): make more use of inline functions 
		instead of macros

2001-06-06  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_dump.c (_get_node): fixed special case of
		top-level filesystem

	* frontends/cli/vcd_debug.c: make use of vcd_image_fs api, 
		various cleanups

	* libvcd/vcd_data_structures.c (_vcd_tree_node_traverse_bf): 
		new breadth-first tree traversal implemented

	* libvcd/vcd_directory.c (_vcd_directory_dump_pathtables): 
		use breadth-first tree traversal for pathtable generation

	* libvcd/vcd_iso9660.c: added asserts to ensure pathtable entries
		are ordered

2001-06-04  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_fs.c: new module for iso9660 fs reading

	* frontends/xml/vcd_xml_parse.c: implemented parsing of area
  		attributes for selection lists

	* libvcd/vcd_pbc.c (_vcd_pbc_node_write): implemented writing of
		area positions

2001-06-03  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c: re-enabled generation of extended PBC

	* libvcd/vcd_util.h: made block related functions inline

	* libvcd/vcd_iso9660.c, libvcd/vcd_directory.c: various cleanups

	* frontends/xml/vcd_xml_dump.c (_get_node): fixed typo, causing
		wrong insertion.

2001-06-02  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: bumped version up to 0.7.3

	* frontends/xml/vcd_xml_dump.c: fixed some XML element ordering issues

2001-06-01  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (_analyze_video_pes): ignore aps with pts out of order for now...

	* libvcd/vcd_image.c (vcd_image_source_read_mode2_sectors): new commodity function

	* frontends/cli/vcd_debug.c: implemented dumping of extended selection lists

	* frontends/xml/vcd_xml_rip.c: implemented file extraction

2001-05-31  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcd_debug.c: dump XA attributes as well

	* libvcd/vcd_xa.h: found out the meaning of CD-XA records finally!

	* libvcd/vcd.c: set ISO filesize of raw files to 
		sector * ISO_BLOCKSIZE instead of sector * M2RAW_SIZE,
		set proper filenum for non-SVCDs

	* frontends/cli/vcd_debug.c: implemented isofs dumping

 	* configure.in: bumped version up to 0.7.2

2001-05-30  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_master.c (vcd_xml_master): option handling

	* frontends/xml/vcd_xml_parse.c (_parse_option): implemented parsing of options

	* libvcd/vcd.c (vcd_obj_set_param_bool): new paramater
		VCD_PARM_RELAXED_APS
	
	* libvcd/vcd_mpeg.c (_analyze_video_pes): allow for relaxed aps constraints

	* libvcd/vcd.c (_write_vcd_iso_track): added hack for detecting
		where to set EOR for still segments

2001-05-29  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (vcd_mpeg_parse_packet): warn instead of 
		error on buffer overruns

	* libvcd/vcd_mpeg_stream.c (vcd_mpeg_source_scan): if bad packet
		arrives, just warn and ignore end of stream...

	* changed broken svcd mode operation

	* configure.in: check whether popt is new enough

	* libvcd/vcd_types.h: try to make it more flexible

2001-05-28  Keith White <Keith.White@site.uottawa.ca>

	* libvcd/vcd_mpeg.c (_parse_sequence_header): hires in stills takes
		precedence..

	* libvcd/vcd_types.h: add UINT32_C and UINT64_C macros for freebsd

	* frontends/xml/Makefile.am: use included popt if needed

	* frontends/cli/vcdimager.c (_progress_callback): fflush on stdout

2001-05-28  Herbert Valerio Riedel  <hvr@gnu.org>
	
	* libvcd/vcd_image_linuxcd.c (_read_mode2_sector): make less debugging output

	* libvcd/vcd.c: write subheader information for non-svcds

	* frontends/cli/vcd_debug.c: fixed segfaulting for pbc less vcds

2001-05-27  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: bumped version up to 0.7.1

	* libvcd/vcd_pbc.c (_vcd_pbc_pin_lookup): typo preventing entry ids to be resolved fixed

	* frontends/xml/vcd_xml_rip.c: added new option --nrg-file

	* libvcd/vcd_image_nrg.c: added NRG image format reader


2001-05-26  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends: s/assert/vcd_assert/g
	
	* libvcd/vcd_image_linuxcd.c: added image source implementation for linux cdrom

	* frontends/xml/vcd_xml_rip.c: detect rejected pbc nodes, 
		use more informative id's

2001-05-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c: disabled psd_x/lot_x stuff since not needed for SVCDs, 
		new investigations needed for VCD2.0...

	* some naming fixes were done

	* frontends/cli/vcd_debug.c: got rid of vcdrip in favour of vcddebug

	* frontends/cli/Makefile.am: renamed vcdrip to vcddebug

	* frontends/xml/vcd_xml_dump.c: added output of rejected atrribute

	* frontends/xml/vcd_xml_gen.c: make end list rejected

	* frontends/xml/vcd_xml_parse.c: added parsing of rejected pbc 
		attribute

	* implemented 'rejected' (aka unlisted PBC items)

	* frontends/xml/vcd_xml_rip.c: added IO error checking for fwrite()s

	* libvcd/vcd_files.c (set_info_vcd): set offset multiplayer to 0 
		if no PBC available, warn about SPIs w/o PBC items

2001-05-24  Herbert Valerio Riedel  <hvr@gnu.org>

 	* 0.7.0 released

2001-05-23  Herbert Valerio Riedel  <hvr@gnu.org>
	
	* libvcd/vcd.c: implemented auto pause setting

	* implemented warning if strings in PVD break charset constraints

2001-05-22  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd: implemented new assertion macros, and replaced system asserts

	* frontends/xml/vcd_xml_rip.c (_rip_sequences): resolve pts times

	* libvcd/vcd_bitvec.h: inline functions for bit handling moved here

	* libvcd/vcd_mpeg.c: moved lowlevel stuff back here, from vcd_mpeg_stream

	* frontends/xml/vcd_xml_rip.c: re-implemented sequence ripping

	* frontends/xml/vcd_xml_master.c: moved vcd type resolving to _parser

	* frontends/xml/vcd_xml_rip.c: re-implemented spi ripping

2001-05-21  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_dump.c: moved parts from vcd_xml_gen to this 
		module

	* frontends/xml/vcd_xml_gen.c: make use of vcd_xml_dump for output

	* libvcd/vcd.c, libvcd/vcd_pbc.c: changed some assert (1)'s to (0)'s

	* frontends/xml/vcd_xml_rip.c: implemented even more...

	* frontends/xml/vcd_xml_dump.c: new module for internal rep -> XML
		tree rep conversion

	* frontends/xml/vcd_xml_rip.c: implemented some more stuff

2001-05-20  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg_stream.c: added detection for type of mpeg video

	* libvcd/vcd_files.c: set item video content type more accurate

2001-05-19  Herbert Valerio Riedel  <hvr@gnu.org>

	* debug/mpegscan.c: debug/testing tool for libvcd's vcd_mpeg* modules

	* libvcd/vcd_mpeg_stream.c: rewrote to use PTS instead of GOP timecodes

2001-05-17  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_build.c: added command line parsing

	* frontends/xml/vcd_xml_gen.c: wrote compatibility tool, resembling
		classic vcdimager's cli interface

	* frontends/xml/vcd_xml_dtd.c: put dtd stuff here...

2001-05-15  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image_bincue.c (vcd_image_sink_new_bincue): implemented
		bin cue image writer/reader in terms of the vcd_image interface

	* libvcd/vcd.c (vcd_obj_write_image): changed to new image abstraction

2001-05-14  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_image.c: new abstraction layer: vcd image source and sink
		(reader and writer)

 	* improved xml parsing
	* added some more customizable info.vcd flags
	
	* frontends/xml/videocd.dtd: some redesign done...

	* libvcd/vcd.c: replaced set param by type safe variant
		added some more parameters

	* frontends/xml/vcdxml.c: bail out on validation errors

2001-05-13  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_pbc.c: improved PBC support, consistency checks missing..

2001-05-12  Herbert Valerio Riedel  <hvr@gnu.org>

	* started to evolve PBC support

	* libvcd/vcd.c (_finalize_vcd_iso_track): split up function in allocation and 
		entry generation parts
		(_finalize_vcd_iso_track_filesystem): allow for bigger directory section for SVCDs
		generalized pbc

2001-05-15  Herbert Valerio Riedel  <hvr@gnu.org>

 	* configure.in: bumped version up to 0.6.2

2001-05-13  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_types.h: fixed for bsdi

2001-05-12  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdrip.c (ripspi): fixed spi ripping
	(ripspi): improved track ripping, when multiple entry points are available

	* libvcd/vcd.c (_write_vcd_iso_track): set fileno to 0 for svcds
		in EXT area...

2001-05-11  Herbert Valerio Riedel  <hvr@gnu.org>

	* intense coding session; extended framework to support spi's;
	  implemented spi inclusion into vcd images
	
	* frontends/cli/vcdrip.c (ripspi): fixed rip spi

	* libvcd/vcd_files.c (set_entries_vcd): added support for additional entry points

	* libvcd/vcd.c: changed api to enable PBC/SPI/entry points,
		replaced some foreach loops by _VCD_LIST_FOREACH macro...

	* frontends/cli/vcdimager.c: adapted to api changes

	* libvcd/vcd_files.c (_get_scandata_table): use '<' instead of
  		'<=' comparison for floating point.
		(_make_track_scantable): see above

2001-05-09  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/xml/vcd_xml_master.c: added yet another module

	* frontends/xml/vcdxml.c: moved parsing routines into module of its own

	* frontends/xml/vcd_xml_parse.c: new module for parsing xml tree to vcdxml_t struct

2001-05-07  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdimager.c (main): check bin and cue file 
		are different

	* libvcd/vcd_stream_stdio.c (vcd_data_sink_new_stdio): warn when
		overwriting files...

2001-05-06  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (vcd_obj_set_param): 
		added some boundary checks...

	* libvcd/vcd_util.h (_vcd_strncpy_pad): 
		moved function here...

	* libvcd/vcd_obj.h: 
	* libvcd/vcd_files.c (set_info_vcd): 
	* libvcd/vcd.h: made album id, and volume counts/number configurable

2001-05-04  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files.c: fixed some floating point roundings into
		right direction

	* libvcd/vcd_mpeg.[ch]: emptied since no longer needed in this form

	* heavy coding session
	* added audio stream configuration detection
	* added hack to detect NTSC/PAL for non-standard resolutions 
	 	should improve X(S)VCD support...

2001-05-04  Keith White <Keith.White@site.uottawa.ca>

	* frontends/cli/vcdrip.c (ripspi): fixed end of item detection
	
2001-05-03  Herbert Valerio Riedel  <hvr@gnu.org>

	* change gap sizes for svcd
	* revamped scantable generation
	* remove scandata.dat creation for vcds, and enabled it for svcds
	* installed abstracted mpeg stream

2001-05-02  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg_stream.c: started to abstract mpeg stream

2001-05-01  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: bumped version up to 0.6.0

2001-04-29  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_make_scantable): ignore APS where iframe header is
		not in the same sector as the gop header

	* frontends/cli/vcdrip.c (dump_search_dat): dump all scanpoints
		if verbose operation is given

	* libvcd/vcd.c (_finalize_vcd_iso_track): set file number for svcd to 0
	(_write_sectors): dont warn if PEM in last packet :),
		set filenumber for svcd mpeg form2 sectors to 1 (not 0!)

	* libvcd/vcd_files.c (set_tracks_svd): assume 1 audio chan instead of 2

2001-04-28  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_write_m2_image_sector): fix 2336 mode output

	* frontends/cli/vcdimager.c (main): _really_ set the sectorsize...

2001-04-27  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (vcd_obj_new): log libvcd version on first invocation

	* libvcd/vcd_files.c (set_tracks_svd): fixed playing time msf to
		have 1/75 sec frames

2001-04-26  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdrip.c: minor cleanups

	* configure.in: added check for bitfield ordering in structs

	* libvcd/vcd_files_private.h: replaced !WORDS_BIGENDIAN ifdef's
		by BITFIELD_LSBF

2001-04-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_directory.c: filled in some knowledge gaps regarding XA

	* frontends/cli/vcdrip.c (dump_tracks_svd): see below

	* libvcd/vcd_files.c (set_tracks_svd): see below

	* libvcd/vcd_files_private.h: fixed TracksSVD interpretation for
		multi track discs

2001-04-20  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_finalize_vcd_iso_track): 
		add SEGMENT dir to SVCDs too

2001-04-16  Carsten Koch <ckoch@ptc.com>

	* libvcd/vcd_files_private.h: fixed typo

	* frontends/cli/vcdimager.c: missing #include

2001-04-15  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: bumped version up to 0.6.0
	
	* frontends/cli/vcdrip.c: 
		try to ignore IO errors in data stream

	* libvcd/vcd.c (_make_scantable): bail out if 
		invalid mpeg packet occurs
	
	* frontends/cli/vcdrip.c:
		added --rip-spi operation

	* libvcd/vcd.c (_finalize_vcd_iso_track): fixed directory size 
		boundary 

2001-03-18  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: bumped version up to 0.5.9beta4

	* frontends/cli/vcdimager.c (_add_dir): 
		experimental addition of --add-dir option

	* libvcd/vcd_directory.c: changed traversal method for pathtable 
		generation

2001-03-17  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdrip.c: implemented --sector-2336, --verbose
		and --quiet options

2001-03-16  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files.c (set_tracks_svd): clip play time value to
	99minutes...

2001-03-15  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (vcd_obj_add_file): 
		check that raw file is not zero sized
		(_finalize_vcd_iso_track): fix zero custom file
		size handling

	* libvcd/vcd_cd_sector.h (CD_MAX_SECTORS): reduced max 
		sector count take into account that a image
		starts on 00:02:00

	* libvcd/vcd.c (vcd_obj_add_file): added fix from
		Phoury Lei to reduce fd leaking

2001-03-11  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: bumped version up to 0.5.9beta3

	* libvcd/vcd_mpeg.c (_vcd_mpeg_parse_video): handle 
		boundary check more gracefully...

2001-03-10  Herbert Valerio Riedel  <hvr@gnu.org>

	* switched to HAVE_CONFIG_H system

	* embedded popt as fallback if the system lacks it

	* extended version information by architecture

2001-03-08  Herbert Valerio Riedel  <hvr@gnu.org>

	* improved portability considerably

2001-01-21  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: bumped version up to 0.5.9beta1

2001-01-20  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdrip.c (rip): ignore stream leadin, if subheader broken

	* libvcd/vcd.c (_write_source_mode2_form1): fixed zeroed-last-block bug,
		when filesize was a multiple of 2048 bytes...

	* frontends/cli/vcdrip.c, frontends/cli/vcdimager.c: 
		minor printf-fixes

	* libvcd/vcd_files.c (set_search_dat): new function
	(get_scandata_dat_size): new function
	(_get_scanpoint_count): renamed function

	* libvcd/vcd_obj.h: added custom_file_start_extent field

	* libvcd/vcd.c: added support for VCD 2.0 extended files in /EXT
		(extended psd/lot & scandata.dat)

	* libvcd/vcd_salloc.c (_vcd_salloc_get_highest): fixed off by one error

2001-01-19  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files_private.h: added ScandataDat_v2 structure

2001-01-16  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_write_sectors): OGT support and secondary 
		audio channel support added

	* libvcd/vcd_mpeg.c: added detection of OGT packets

2001-01-15  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: bumped version up to 0.5.9beta1

	* libvcd/vcd_mpeg.c: some more bound checking...

2001-01-14  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdrip.c (rip): fixed detecting false stream
		leadouts

	* libvcd/vcd.c (_finalize_vcd_iso_track): fixed relative offset bug
		in ISO mpegav-entries introduced in 0.5.9alpha4 :-/

2001-01-13  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (vcd_mpeg_get_type): more skips

	* configure.in: bumped version up to 0.5.9alpha4
	
	* libvcd/vcd_files.c (set_info_vcd): lot entry count fixed

	* libvcd/vcd_stream.c (vcd_data_source_read): fixed stream 
		reposition bug (fixes search.dat transposition)

	* libvcd/vcd.c (vcd_obj_append_mpeg_track): fixed eof condition

	* added broken svcd mode

2001-01-12  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files_private.h: fixed lid1 typo
		fixed last_psd_ofs/lot_entries misconception

	* frontends/cli/vcdrip.c: fixed LOT max index bug..
	(dump_lot_and_psd_vcd): #ifdef'ed extended psd stuff
	(dump_lot_and_psd_vcd): re-prefixed some [] in output

	* libvcd/vcd_files_private.h: added symbolic LOT size #define

2001-01-11  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdrip.c: 
		merged in fixes from jbj1:
		fixed ENTRIES[] index start,
	      	added _calc_psd_wait_time (),
		search whole LOT

2001-01-10  Herbert Valerio Riedel  <hvr@gnu.org>

        * stream retval fix

	* frontends/cli/vcdrip.c: various --dump improvements 

	* libvcd/vcd.c (vcd_obj_append_mpeg_track): warn when VCD11 and
		not FILM/NTSC

	* libvcd/vcd_files.c (set_info_vcd): improved VCD1.1 compatibility

2001-01-06  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdrip.c (dump_lot_and_psd_vcd): display more info 
		about selection lists...

	* libvcd/vcd_files_private.h: started filling psd selection list

	* configure.in: bumped version up to 0.5.9alpha2
	
	* frontends/cli/vcdrip.c (dump_pvd): new function for dumping
		some content of the primary volume descriptor
	
	* libvcd/vcd.c (vcd_obj_add_file): fixed size calculation
		bug for raw files

	* libvcd/vcd_bytesex.c (from_723): new function

	* libvcd/vcd_files_private.h: added SPICONTX.SVD struct

	* frontends/cli/vcdrip.c (dump_tracks_svd): added
		symbolic names for content types

	* libvcd/vcd.c (_write_sectors): set channel no. 
		according to content

	* libvcd/vcd_files_private.h: gcc bitset big endian fix

2001-01-05  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdimager.c: added quiet flag

	* libvcd/vcd_iso9660.c (_vcd_iso_pathname_valid_p): 
		do strict checking

	* libvcd/vcd_util.c (_vcd_strjoin): new function
	(_vcd_strdup_upper): new function

	* libvcd/vcd_directory.c: make sure, files in ISO fs are ordered
	(_vcd_directory_mkfile): implemented directory autocreation

	* libvcd/vcd_data_structures.c (_vcd_tree_node_sort_children):
		new function
		(_vcd_list_sort): new function

	* libvcd/vcd_directory.c: make use of new tree implementation

	* libvcd/vcd_data_structures.c: added n-way tree implementation

	* libvcd/vcd_util.c (_vcd_memdup): moved/new function

2001-01-04  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_cd_sector.c: enforced _vcd prefix

	* libvcd/vcd_transfer.c: removed module, merged with vcd.c

	* libvcd/vcd_util.c: enforced _vcd prefix

2001-01-03  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: bumped version up to 0.5.9alpha2

	* libvcd/vcd.c (vcd_obj_begin_output): image oversize warning

	* frontends/cli/vcdrip.c: major improvements for SVCD dumping,
		added some short options

2001-01-02  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_types.h: fixes for cygwin environment

2001-01-01  Herbert Valerio Riedel  <hvr@gnu.org>

	* configure.in: added -lm to link flags

	* libvcd/vcd_util.c (_len2blocks): new function

	* libvcd/vcd.c (vcd_obj_append_mpeg_track): reworked to use
		_make_scantable()
		(_finalize_vcd_iso_track): accomodated variable length 
			SEARCH.DAT file...		

2001-12-31  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_make_scantable): new function

2000-12-30  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files.c (get_search_dat_size): new function

2000-12-27  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files.c (set_tracks_svd): improved playtime accuracy

2000-12-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/: added static _rcsid symbols to all modules

2000-12-23  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (vcd_mpeg_get_type): added hack to detect
		sector content by looking at the system header

	* configure.in: bumped version up to 0.5.9alpha1

	* libvcd/vcd.c: made app id customizable,
		added defaults for non set params

	* libvcd/vcd_iso9660.c (set_iso_pvd): made app id customizable

	* frontends/cli/vcdrip.c: fixed msf conversion, removed 
		directory source option, #ifdef'ed linux specific stuff

	* libvcd/vcd.c (_write_vcd_iso_track): fixed set_lot/psd for svcd

2000-12-22  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdrip.c: complete rework

2000-12-20  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files.c: added vcd11 support

	* frontends/cli/vcdimager.c (main): added vcd11 --type arg

2000-12-19  Herbert Valerio Riedel  <hvr@gnu.org>

	* make use of C99's <stdbool.h> defines

2000-12-18  Herbert Valerio Riedel  <hvr@gnu.org>

	* replaced almost every malloc with _vcd_malloc

	* libvcd/vcd_util.c (_vcd_malloc): new function

	* libvcd/vcd.c: made buf dict list into VcdList

	* libvcd/vcd.c: made cust_file_t list into VcdList

	* libvcd/vcd_data_structures.c: new VcdList object and methods
	
	* libvcd/vcd_files.c, libvcd/vcd.c, libvcd/vcd_obj.h:
		switched from array to VcdList for track list
	
	* libvcd/vcd_mpeg.c (vcd_mpeg_get_info): fixed subtile buffer overun

	* libvcd/vcd_data_structures.[ch]: new module 

2000-12-17  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_obj.h: moved cust_file struct declaration out of VcdObj

  	* libvcd/vcd.c: finished rewriting of buffer allocation

	* libvcd/vcd_files.c: added buf argument to all set_ calls,
		renamed set_psd_size to get_psd_size
	
	* libvcd/vcd_files.c (set_lot_vcd): fixed LOT bug, not 
		having 0x0000 in reserved field

	* libvcd/vcd_obj.h: moved some buffers/sector ptr's to new 
		dictionary

	* libvcd/vcd_salloc.c (_vcd_salloc_unset): new function
	(_vcd_salloc_free): added new function for free'ing previously 
		allocated sectors

	* libvcd/vcd.c: begun rewrite of buffer allocation
	
	* libvcd/vcd.c (_dict_insert): added new functions for dictionary 
		based buffer allocation

	* frontends/cli/vcdimager.c (_vcd_log_handler): new function, 
		implemented non verbose output

	* libvcd/vcd.h (vcd_type_t): uncommented VCD11 type

	* configure.in: some cleanup

2000-12-16  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.h, libvcd/vcd_stream.h, libvcd/vcd.h:
	 	added export "C" { } block

	* libvcd/vcd_mpeg.c (vcd_mpeg_get_type): zeroing of extended info

2000-11-26  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.h (struct mpeg_type_info_t): workaround for 
		anonymous union 

2000-11-25  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c: major reorganisation of functions -- based on
		code contributed by mike@mlb.org
		(vcd_mpeg_get_timecode): new convenience function

	* libvcd/vcd_mpeg.c (vcd_mpeg_get_info): do norm detection by means
		of vcd_mpeg_get_type ()

	* added estimation of playtime
	
2000-11-24  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (mpeg_type): added extended_type_info arg

2000-11-23  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (vcd_obj_append_mpeg_track): cleanup, added warnings 
		related to (S)VCD type / MPEG version

	* libvcd/vcd_mpeg.c (mpeg_analyze_start_seq): replaced ugly hack by 
		something more sensible, added mpeg version detection
		(_bit_set_p): replaced function by macro

	* libvcd/vcd_mpeg.h: added version enum to mpeg_info_t

2000-11-22  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (_bitvec_get_bits32): new function
	(_bit_set_p): new function
	(mpeg_type): improved mpeg sector type detection, based on 
		mike@mlb.org's instructions

2000-11-20  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_iso9660.c (_vcd_iso_pathname_isofy): new function
	(_vcd_iso_pathname_valid_p): new function

	* libvcd/vcd_directory.c: improved error messages

	* frontends/cli/vcdimager.c: enabled poptrc parsing
		added --add-file and --add-file-2336 feature

2000-11-19  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdrip.c: removed glib dependancy

	* libvcd/vcd_bytesex.h: added _FROM_ macros

	* frontends/cli/vcdimager.c: removed glib dependancy

2000-11-18  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (vcd_obj_add_file): fixed memset()

	* libvcd/vcd_files.c (set_entries_vcd): added svcd support
	(set_info_vcd): added svcd support

	* libvcd/vcd.c (_finalize_vcd_iso_track): s/mpeg-2/mpeg2/,
		fixed vcd sector reservation
	(_finalize_vcd_iso_track): fixed svcd dir structure

	* frontends/cli/vcdimager.c (main): new argument for selecting 
		type of videocd

2000-11-17  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (mpeg_analyze_start_seq): widened range of 
		fixup-hack

	* libvcd/vcd_mpeg.h: renamed new norm tags

	* libvcd/vcd.c (_write_sectors): -"-
	
2000-11-16  Mike Bernson  <mike@mlb.org>

	* libvcd/vcd_mpeg.h: new resolutions

	* libvcd/vcd_mpeg.c: added detection for SHVS resoulutions

	* libvcd/vcd.c (_write_sectors): added  case MPEG_SVHS_PAL/NTSC

2000-11-15  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files.c (set_psd_vcd): fixed (missing) setting of itemid 
		(and a potential buffer overun bug)
	(set_info_vcd): last_psd_ofs set to end of list descriptor

2000-11-14  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_bytesex.c (msf_to_lba): new function
	(lba_to_msf): new function

	* libvcd/vcd.c: more svcd support added...

	* libvcd/vcd_cd_sector_private.h: replaced char[3] by msf

	* libvcd/vcd_files_private.h: replaced MMSSFF by 
		msf_t (defined in vcd_types.h)

	* libvcd/vcd_files.c: svcd support starting...
	(set_tracks_svd): new function
	(set_search_dat): new function 

	* frontends/cli/vcdimager.c: just some constify

	* libvcd/vcd_types.h: removed bool type

	* libvcd/vcd_transfer.c: removed obsolete mknod_source* () functions

	* libvcd/vcd.c (vcd_obj_add_file): implemented function

2000-11-13  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_salloc.h: prefixed exported symbols _vcd

2000-11-12  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_obj.h: added VcdDirectory *dir to _VcdObj

	* libvcd/vcd_directory.c: introduced directory object, prefixed exported
		symbols with 'vcd_'

	* libvcd/vcd.c (_finalize_vcd_iso_track): added preliminary svcd support

	* libvcd/vcd.h: added vcd_obj_add_file() prototype

	* libvcd/vcd_mpeg.c: made tables static

2000-11-10  Herbert Valerio Riedel  <hvr@gnu.org>

	* frontends/cli/vcdimager.c: removed cdi support

	* libvcd/vcd.c: reformating, removed removed vcd_obj_set_cdi_input(),
	(_callback_wrapper): adapted to new progress_callback_t prototype

	* libvcd/vcd.h: added comments, removed vcd_obj_set_cdi_input(),
		changed progress_callback_t signature, added progress_info_t 
		struct

2000-11-09  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_write_sectors): s/vcd_warning/vcd_warn/

	* libvcd/vcd_files.c (set_info_vcd): removed obsolete comment

2000-11-08  Herbert Valerio Riedel  <hvr@gnu.org>

	* applied fix for program end markers in mpeg streams from
		Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>
	
	* libvcd/vcd_mpeg.h: added new mpeg_type MPEG_END
	
	* libvcd/vcd_mpeg.c (mpeg_type): detection for -"-

	* libvcd/vcd.c (_write_sectors): added warning output for -"-
	
2000-09-20  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files_private.h: tiny fixups

2000-09-17  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files_private.h: further improvements...

2000-09-16  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_files_private.h: merging in stuff from jbj1
	 	reindenting

	* libvcd/vcd.c (vcd_obj_get_image_size): reflected changes in vcd.h

	* libvcd/vcd_obj.h: redid interface to accomodate SVCD creation and future
		extensions...

2000-09-11  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.h: moved around arguments amongs output functions

	* configure.in: conditionally build frontends based on available libs

2000-09-10  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_obj.h: took out cue_file field

	* libvcd/vcd.c (vcd_obj_end_output): moved deallocing here

2000-09-09  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (_write_sectors): abort on invalid mpeg packet
	(vcd_obj_write_image): return directly if aborted writing...
	(_write_vcd_iso_track): added return value

2000-09-08  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c (vcd_obj_remove_mpeg_track): new function

2000-09-07  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd.c: really abort sometime if progess callback returns !=0

	* libvcd/vcd_directory.c (directory_done): set _root = NULL when done

2000-09-06  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_mpeg.c (mpeg_analyze_start_seq): added hack for finding 
		transposed start of format info

	* libvcd/vcd.c (vcd_obj_append_mpeg_track): warn instead of error if 
		mpeg not padded to 2324 size, return trackid

	* libvcd/vcd_stream_stdio.c (vcd_data_source_new_stdio): stat() 
		file when creating source obj

2000-09-05  Herbert Valerio Riedel  <hvr@gnu.org>

	* libvcd/vcd_stream_stdio.c: include <sys/stat.h> instead of
		<sys/types.h>, removed <fcntl.h>

	* libvcd/vcd_directory.c, libvcd/vcd_iso9660.c, 
	libvcd/vcd_cd_sector.c: pointer arithmetic casts...

	* libvcd/vcd.c (_write_vcd_iso_track): use malloc() for dir_buf

	* libvcd/vcd_files.c (set_lot_vcd): allocate lot_vcd on the heap

	* libvcd/vcd_logging.c (vcd_log): de-macroized ##-using macros...

	* libvcd/vcd_util.c (_strlenv), (_strfreev), (_strsplit): 
		new functions

	* libvcd/vcd_directory.c: reimplemented n-way tree

	* libvcd/vcd_iso9660_private.h, libvcd/vcd_files_private.h:
		added #pragma's for metroworks compiler

	* propagated change in vcd_salloc.h to affected modules

	* libvcd/vcd_salloc.h: renamed functions/exported bitmap object

	* libvcd/vcd_salloc.c: reimplemented dynamic array

	* started re-importing branch to CVS

2000-09-04  Herbert Valerio Riedel  <hvr@gnu.org>

	* PBC support added and functional
	* progress meter abstraction done

2000-09-02  Herbert Valerio Riedel  <hvr@gnu.org>

	* backend/: implementing stream abstraction...

2000-09-01  Herbert Valerio Riedel  <hvr@gnu.org>

	* started new ChangeLog, since a complete restructuring is taking
		place, separating the backend from the frontend (aka UI)

